aboutsummaryrefslogtreecommitdiffstats
path: root/git-tools
diff options
context:
space:
mode:
authorAndreas Fischer <bantu@phpbb.com>2014-06-16 15:28:25 +0200
committerAndreas Fischer <bantu@phpbb.com>2014-06-16 15:28:25 +0200
commitd2aee6d2ea9668d553b05968db3f2f8335409fca (patch)
tree512362b73d7581b274e1d73ebbd28d6217872d29 /git-tools
parent233cdbfd66eea0cbec92cdaa232e7af182547596 (diff)
parent6db849cba5ab716af24d3d66b14104eb463c9dff (diff)
downloadforums-d2aee6d2ea9668d553b05968db3f2f8335409fca.tar
forums-d2aee6d2ea9668d553b05968db3f2f8335409fca.tar.gz
forums-d2aee6d2ea9668d553b05968db3f2f8335409fca.tar.bz2
forums-d2aee6d2ea9668d553b05968db3f2f8335409fca.tar.xz
forums-d2aee6d2ea9668d553b05968db3f2f8335409fca.zip
Merge pull request #2608 from dhruvgoel92/ticket/12720
[ticket/12720] Allow commit heading to begin with lowercase letters * dhruvgoel92/ticket/12720: [ticket/12720] Allow commit heading to begin with lowercase letters
Diffstat (limited to 'git-tools')
-rwxr-xr-xgit-tools/hooks/commit-msg4
1 files changed, 2 insertions, 2 deletions
diff --git a/git-tools/hooks/commit-msg b/git-tools/hooks/commit-msg
index b156d276df..136606252c 100755
--- a/git-tools/hooks/commit-msg
+++ b/git-tools/hooks/commit-msg
@@ -191,12 +191,12 @@ do
err=$ERR_HEADER;
echo "$line" | grep -Eq "^\[(ticket/[0-9]+|feature/$branch_regex|task/$branch_regex)\] .+$"
result=$?
- if ! echo "$line" | grep -Eq "^\[(ticket/[0-9]+|feature/$branch_regex|task/$branch_regex)\] [A-Z].+$"
+ if ! echo "$line" | grep -Eq "^\[(ticket/[0-9]+|feature/$branch_regex|task/$branch_regex)\] [a-zA-Z].+$"
then
# Don't be too strict.
# Commits may be temporary, intended to be squashed later.
# Just issue a warning here.
- complain "$severity: heading should be a sentence beginning with a capital letter." 1>&2
+ complain "$severity: heading should be a sentence beginning with a letter." 1>&2
complain "You entered:" 1>&2
complain "$line" 1>&2
fi